[Bug 1898477] Re: Old indicator items are not removed, just hidden

2020-11-25 Thread Dmitry Shachnev
Based on my comment above, and no reply from Sebastian, I am marking
this as verification-failed.

** Tags removed: verification-needed verification-needed-focal
** Tags added: verification-failed verification-failed-focal

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1898477

Title:
  Old indicator items are not removed, just hidden

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/indicator-applet/+bug/1898477/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1904716] Re: Qt5 UiTools cmake component references unexisting library files

2020-11-19 Thread Dmitry Shachnev
Try looking in /var/log/apt/term.log and searching for "dpkg: error".
Maybe also the older term.log.*.gz files.

https://wiki.ubuntu.com/DebuggingUpdateManager says that there may be
also some files in /var/log/dist-upgrade/, but I don't know if that page
is up to date.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1904716

Title:
  Qt5 UiTools cmake component references unexisting library files

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qttools-opensource-src/+bug/1904716/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1904716] Re: Qt5 UiTools cmake component references unexisting library files

2020-11-19 Thread Dmitry Shachnev
> I guess the symlink got lost during the upgrade?

That's very unlikely. If the package is installed properly, the symlink
will be present. So either you had some failure during upgrade (check
the logs?), or that file was deleted afterwards.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1904716

Title:
  Qt5 UiTools cmake component references unexisting library files

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qttools-opensource-src/+bug/1904716/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1904716] Re: Qt5 UiTools cmake component references unexisting library files

2020-11-18 Thread Dmitry Shachnev
I cannot reproduce this on Ubuntu 20.10 amd64. The test CMake project
you attached builds fine, and the libQt5Core.so symlink is present:

$ ls -la /usr/lib/x86_64-linux-gnu/libQt5Core.so
lrwxrwxrwx 1 root root 20 Aug 19 17:40 /usr/lib/x86_64-linux-gnu/libQt5Core.so 
-> libQt5Core.so.5.14.2

Can you try re-installing the qtbase5-dev package (sudo apt install
--reinstall qtbase5-dev)?

** Changed in: qttools-opensource-src (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1904716

Title:
  Qt5 UiTools cmake component references unexisting library files

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qttools-opensource-src/+bug/1904716/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1904396] Re: TIFF image format missing

2020-11-16 Thread Dmitry Shachnev
You need to install qt5-image-formats-plugins package:

https://packages.ubuntu.com/focal/qt5-image-formats-plugins

** Changed in: pyqt5 (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1904396

Title:
  TIFF image format missing

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pyqt5/+bug/1904396/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1903772] Re: Sync nvme-cli 1.12-5 (universe) from Debian unstable (main)

2020-11-12 Thread Dmitry Shachnev
This bug was fixed in the package nvme-cli - 1.12-5
Sponsored for Matthieu Clemenceau (mclemenceau)

---
nvme-cli (1.12-5) unstable; urgency=medium

  * Add uuid-runtime as dependency. (Closes: #970637)

 --Tue, 22 Sep 2020 20:37:51 +0100

nvme-cli (1.12-4) unstable; urgency=medium

  * Fix udev rules and config files. Thanks intrigeri (Closes: #968769)
  * Remove debian/package.bash-completion (Closes: #969345)

 --Sun, 20 Sep 2020 10:39:01 +0100

nvme-cli (1.12-3) unstable; urgency=medium

  * Bring debhelper compat to 13 and fix build deps (Closes: ##969183)

 --Sun, 20 Sep 2020 10:23:14 +0100

nvme-cli (1.12-2) unstable; urgency=medium

  *  Generate /etc/nvme/host* files at install time, not build time.
 Thanks Dan for the patch. (Closes: #969340)

 --Sun, 20 Sep 2020 10:14:36 +0100

** Changed in: nvme-cli (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1903772

Title:
  Sync nvme-cli 1.12-5 (universe) from Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvme-cli/+bug/1903772/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1215411] Re: libcpupower.so is not installed from linux-tools

2020-11-10 Thread Dmitry Shachnev
Hi Christian! In comments #11 and #17 there are some patches for this
bug. They probably need rebasing though.

** No longer affects: linux (Ubuntu Zesty)

** No longer affects: linux (Ubuntu Eoan)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1215411

Title:
  libcpupower.so is not installed from linux-tools

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cpufreqd/+bug/1215411/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1897447] Re: Sync syncthing 1.9.0~ds1-2 (universe) from Debian unstable (main)

2020-10-25 Thread Dmitry Shachnev
A test retry 2 days before Groovy release helped, so Groovy ships with
new syncthing.

Finally marking this bug as fixed.

** Changed in: syncthing (Ubuntu)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897447

Title:
  Sync syncthing 1.9.0~ds1-2 (universe) from Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/syncthing/+bug/1897447/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1898477] Re: Old indicator items are not removed, just hidden

2020-10-18 Thread Dmitry Shachnev
Hi Sebastian!

I noticed that on Ubuntu Groovy, indicator-appmenu is behaving
incorrectly. It shows a menu for the application, but only until some
dialog is opened. For example:

1) Start LibreOffice Writer — there will be a menu;
2) Open the About dialog — the menu will disappear (correctly);
3) Close the dialog — the menu should be back but it isn't (in Unity session it 
works fine).

That may be related to this change. Can you please test this case when
you will be verifying the fix?

If it's really related, then we will need to reject this change.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1898477

Title:
  Old indicator items are not removed, just hidden

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/indicator-applet/+bug/1898477/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1897447] Re: Sync syncthing 1.9.0~ds1-2 (universe) from Debian unstable (main)

2020-10-12 Thread Dmitry Shachnev
I tried a newer version from Debian and the autopkgtest still fails. The
only failing test is:

=== RUN   TestStressBufferPool
FAILgithub.com/syncthing/syncthing/lib/protocol 2.706s

On ci.debian.net, it passes:

=== RUN   TestStressBufferPool
bufferpool_test.go:111: 4432 4335 172 [0 0 0 3 23 59 303 3873]
--- PASS: TestStressBufferPool (2.03s)

I have zero knowledge of Go, so I can't say why it's failing. Do you
have any ideas? Maybe we should disable it?

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897447

Title:
  Sync syncthing 1.9.0~ds1-2 (universe) from Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/syncthing/+bug/1897447/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1897447] Re: Sync syncthing 1.9.0~ds1-2 (universe) from Debian unstable (main)

2020-10-09 Thread Dmitry Shachnev
> Who’d have thought a simple version bump would be this complicated!

The story hasn't ended yet. Now we also have a failing autopkgtest:
https://autopkgtest.ubuntu.com/packages/s/syncthing/groovy/amd64
(retried, maybe that will help).

> Apparently you need to update badger too

It is not urgent now, so I would better sync it after 20.10 is released
and then syncthing will be in sync again.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897447

Title:
  Sync syncthing 1.9.0~ds1-2 (universe) from Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/syncthing/+bug/1897447/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1897779] Re: Sync golang-github-lucas-clemente-quic-go 0.18.0-2 (universe) from Debian unstable (main)

2020-10-09 Thread Dmitry Shachnev
** Changed in: golang-github-lucas-clemente-quic-go (Ubuntu)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897779

Title:
  Sync golang-github-lucas-clemente-quic-go 0.18.0-2 (universe) from
  Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/golang-github-lucas-clemente-quic-go/+bug/1897779/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1897447] Re: Sync syncthing 1.9.0~ds1-2 (universe) from Debian unstable (main)

2020-10-09 Thread Dmitry Shachnev
Now it dep-waits on armhf because badger FTBFS here (a retry didn't
help):

https://launchpad.net/ubuntu/+source/badger/2.0.3-1/+build/19212777

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897447

Title:
  Sync syncthing 1.9.0~ds1-2 (universe) from Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/syncthing/+bug/1897447/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1897447] Re: Sync syncthing 1.9.0~ds1-2 (universe) from Debian unstable (main)

2020-10-09 Thread Dmitry Shachnev
Nevermind, I figured it out:
https://launchpad.net/ubuntu/+source/syncthing/1.9.0~ds1-2ubuntu1.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897447

Title:
  Sync syncthing 1.9.0~ds1-2 (universe) from Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/syncthing/+bug/1897447/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1897447] Re: Sync syncthing 1.9.0~ds1-2 (universe) from Debian unstable (main)

2020-10-09 Thread Dmitry Shachnev
Now golang-github-lucas-clemente-quic-go built fine, but syncthing
itself FTBFS:

https://launchpadlibrarian.net/501315340/buildlog_ubuntu-groovy-
amd64.syncthing_1.9.0~ds1-2_BUILDING.txt.gz

Can you look at it?

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897447

Title:
  Sync syncthing 1.9.0~ds1-2 (universe) from Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/syncthing/+bug/1897447/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1898477] Re: Old indicator items are not removed, just hidden

2020-10-05 Thread Dmitry Shachnev
Uploaded, it’s waiting in the queue:
.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1898477

Title:
  Old indicator items are not removed, just hidden

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/indicator-applet/+bug/1898477/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1898477] Re: [SRU] Update indicator-applet to 12.10.2+20.04.202010xx-0ubuntu

2020-10-04 Thread Dmitry Shachnev
** Also affects: indicator-applet (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: indicator-applet (Ubuntu)
   Status: New => Fix Released

** Summary changed:

- [SRU] Update indicator-applet to 12.10.2+20.04.202010xx-0ubuntu
+ Old indicator items are not removed, just hidden

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1898477

Title:
  Old indicator items are not removed, just hidden

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/indicator-applet/+bug/1898477/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1897779] Re: Sync golang-github-lucas-clemente-quic-go 0.18.0-2 (universe) from Debian unstable (main)

2020-10-01 Thread Dmitry Shachnev
> It FTBFS :-(

I managed to reproduce this on Debian, so filed a bug there:
https://bugs.debian.org/971544.

** Bug watch added: Debian Bug tracker #971544
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=971544

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897779

Title:
  Sync golang-github-lucas-clemente-quic-go 0.18.0-2 (universe) from
  Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/golang-github-lucas-clemente-quic-go/+bug/1897779/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1897779] Re: Sync golang-github-lucas-clemente-quic-go 0.18.0-2 (universe) from Debian unstable (main)

2020-09-30 Thread Dmitry Shachnev
It FTBFS :-(

https://launchpad.net/ubuntu/+source/golang-github-lucas-clemente-quic-
go/0.18.0-2/+build/20091909

Relevant part (I guess):

• Failure [3.667 seconds]
Server → server accepting sessions that completed the handshake → handling 
packets → drops packets if the receive queue is full [It]

  Timed out after 0.103s.
  Expected : 10 to be equivalent to : 1025

I have retried it multiple times, and this test always failed. The
former number changes from time to time while the latter is always 1025.

** Changed in: golang-github-lucas-clemente-quic-go (Ubuntu)
   Status: Fix Released => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897779

Title:
  Sync golang-github-lucas-clemente-quic-go 0.18.0-2 (universe) from
  Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/golang-github-lucas-clemente-quic-go/+bug/1897779/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1897779] Re: Sync golang-github-lucas-clemente-quic-go 0.18.0-2 (universe) from Debian unstable (main)

2020-09-30 Thread Dmitry Shachnev
This bug was fixed in the package golang-github-lucas-clemente-quic-go - 
0.18.0-2
Sponsored for Andrej Shadura (andrew.sh)

---
golang-github-lucas-clemente-quic-go (0.18.0-2) unstable; urgency=medium

  * Team upload
  * Bump golang-github-marten-seemann-qtls-dev to 0.10.0
  * Bump debhelper-compat to 13

 -- Shengjing Zhu   Thu, 24 Sep 2020 14:02:49 +0800

golang-github-lucas-clemente-quic-go (0.18.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.18.0 (Closes: #970621)
Support golang 1.15
  * Update Build-Depends and Depends for new version
  * Temporarily vendor qtls-go1-15

 -- Shengjing Zhu   Thu, 24 Sep 2020 00:07:38 +0800

** Changed in: golang-github-lucas-clemente-quic-go (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897779

Title:
  Sync golang-github-lucas-clemente-quic-go 0.18.0-2 (universe) from
  Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/golang-github-lucas-clemente-quic-go/+bug/1897779/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1897447] Re: Sync syncthing 1.9.0~ds1-2 (universe) from Debian unstable (main)

2020-09-29 Thread Dmitry Shachnev
Hi Andrej!

Unfortunately, it now dep-waits on two golang packages:

https://launchpad.net/ubuntu/+source/syncthing/1.9.0~ds1-2/+build/20085802

I have synced golang-github-greatroar-blobloom, it was not present in
Ubuntu at all and now is waiting in the NEW queue.

Regarding golang-github-lucas-clemente-quic-go, do you know if it's safe
to update it from 0.17.2 to 0.18.0? Upstream diff looks quite scary, 246
changed files with 7,534 additions and 4,801 deletions:
https://github.com/lucas-clemente/quic-go/compare/v0.17.2..v0.18.0.

If you think it's safe, can you please file a separate sync request for
it? (Feel free to subscribe me.)

Because new syncthing is not built yet, I am setting the status to Fix
Committed.

** Changed in: syncthing (Ubuntu)
   Status: Fix Released => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897447

Title:
  Sync syncthing 1.9.0~ds1-2 (universe) from Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/syncthing/+bug/1897447/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1847018] Re: Syncthing reports bad version, confusing other clients

2020-09-28 Thread Dmitry Shachnev
This bug was fixed in the package syncthing - 1.9.0~ds1-2
Sponsored for Andrej Shadura (andrew.sh)

---
syncthing (1.9.0~ds1-2) unstable; urgency=medium

  * badger-max-cache.patch: Don't use deprecated
MaxCache option.
  * Depend on quic-go >=0.18.0.

 -- Alexandre Viau   Sun, 20 Sep 2020 00:47:13 -0400

syncthing (1.9.0~ds1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau   Wed, 16 Sep 2020 11:49:49 -0400

syncthing (1.8.0~ds1-1) unstable; urgency=medium

  * New upstream version. (Closes: #966466, #964363)
  * Remove quic-go.patch.
  * Refresh patches.
  * d/rules: adapt to new GUI files location.
  * Depend on golang-siphash-dev.
  * Depend on golang-github-dgraph-io-badger-dev.
  * Depend on go-ldap >=3.2.3.
  * Depend on golang-github-greatroar-blobloom-dev.
  * Remove many unused dependencies.

 -- Alexandre Viau   Wed, 16 Sep 2020 11:34:10 -0400

syncthing (1.5.0~ds1-5) unstable; urgency=medium

  * d/watch: point to correct releases page.

 -- Alexandre Viau   Sun, 30 Aug 2020 16:01:59 -0400

syncthing (1.5.0~ds1-4) unstable; urgency=medium

  * upstream/metada: add repository and repository-browse links.

 -- Alexandre Viau   Sun, 30 Aug 2020 14:33:57 -0400

syncthing (1.5.0~ds1-3) unstable; urgency=medium

  * Declare Rules-Requires-Root: no.

 -- Alexandre Viau   Sun, 30 Aug 2020 14:30:58 -0400

syncthing (1.5.0~ds1-2) unstable; urgency=medium

  * Allow multiple options in STRELAYSRV_OPTS. (Closes: #920677)

 -- Alexandre Viau   Sun, 30 Aug 2020 14:04:31 -0400

syncthing (1.5.0~ds1-1) unstable; urgency=medium

  * New upstream version.
  * Refresh tests-wait-longer.patch.
  * Refresh skip-failing-test.patch.
  * Refresh disable_test_host_check.patch.
  * Depend on golang-github-maruel-panicparse-dev.
  * Depend on golang-github-getsentry-raven-go-dev.
  * Depend on golang-github-lucas-clemente-quic-go-dev.
  * Don't build cmd/stcrashreceiver.
  * Depend on golang-github-ccding-go-stun >= 0.1.2.
  * Depend on golang-github-jackpal-go-nat-pmp-dev.
  * Depend on golang-github-shirou-gopsutil-dev.
  * Depend on golang-github-willf-bloom-dev.
  * d/rules: don't build stupgrades.
  * Create quic-go.patch.

 -- Alexandre Viau   Sun, 30 Aug 2020 13:51:50 -0400

syncthing (1.1.4~ds1-5) unstable; urgency=medium

  * Team upload.
  * Fix version string in package. (Closes: #931401)

 -- Stephen Gelman   Thu, 12 Mar 2020 19:59:32 -0500

** Changed in: syncthing (Ubuntu)
   Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1847018

Title:
  Syncthing reports bad version, confusing other clients

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/syncthing/+bug/1847018/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1897223] Re: Version and other metadata not proper

2020-09-28 Thread Dmitry Shachnev
This bug was fixed in the package syncthing - 1.9.0~ds1-2
Sponsored for Andrej Shadura (andrew.sh)

---
syncthing (1.9.0~ds1-2) unstable; urgency=medium

  * badger-max-cache.patch: Don't use deprecated
MaxCache option.
  * Depend on quic-go >=0.18.0.

 -- Alexandre Viau   Sun, 20 Sep 2020 00:47:13 -0400

syncthing (1.9.0~ds1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau   Wed, 16 Sep 2020 11:49:49 -0400

syncthing (1.8.0~ds1-1) unstable; urgency=medium

  * New upstream version. (Closes: #966466, #964363)
  * Remove quic-go.patch.
  * Refresh patches.
  * d/rules: adapt to new GUI files location.
  * Depend on golang-siphash-dev.
  * Depend on golang-github-dgraph-io-badger-dev.
  * Depend on go-ldap >=3.2.3.
  * Depend on golang-github-greatroar-blobloom-dev.
  * Remove many unused dependencies.

 -- Alexandre Viau   Wed, 16 Sep 2020 11:34:10 -0400

syncthing (1.5.0~ds1-5) unstable; urgency=medium

  * d/watch: point to correct releases page.

 -- Alexandre Viau   Sun, 30 Aug 2020 16:01:59 -0400

syncthing (1.5.0~ds1-4) unstable; urgency=medium

  * upstream/metada: add repository and repository-browse links.

 -- Alexandre Viau   Sun, 30 Aug 2020 14:33:57 -0400

syncthing (1.5.0~ds1-3) unstable; urgency=medium

  * Declare Rules-Requires-Root: no.

 -- Alexandre Viau   Sun, 30 Aug 2020 14:30:58 -0400

syncthing (1.5.0~ds1-2) unstable; urgency=medium

  * Allow multiple options in STRELAYSRV_OPTS. (Closes: #920677)

 -- Alexandre Viau   Sun, 30 Aug 2020 14:04:31 -0400

syncthing (1.5.0~ds1-1) unstable; urgency=medium

  * New upstream version.
  * Refresh tests-wait-longer.patch.
  * Refresh skip-failing-test.patch.
  * Refresh disable_test_host_check.patch.
  * Depend on golang-github-maruel-panicparse-dev.
  * Depend on golang-github-getsentry-raven-go-dev.
  * Depend on golang-github-lucas-clemente-quic-go-dev.
  * Don't build cmd/stcrashreceiver.
  * Depend on golang-github-ccding-go-stun >= 0.1.2.
  * Depend on golang-github-jackpal-go-nat-pmp-dev.
  * Depend on golang-github-shirou-gopsutil-dev.
  * Depend on golang-github-willf-bloom-dev.
  * d/rules: don't build stupgrades.
  * Create quic-go.patch.

 -- Alexandre Viau   Sun, 30 Aug 2020 13:51:50 -0400

syncthing (1.1.4~ds1-5) unstable; urgency=medium

  * Team upload.
  * Fix version string in package. (Closes: #931401)

 -- Stephen Gelman   Thu, 12 Mar 2020 19:59:32 -0500

** Changed in: syncthing (Ubuntu)
   Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897223

Title:
  Version and other metadata not proper

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/syncthing/+bug/1897223/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1897447] Re: Sync syncthing 1.9.0~ds1-2 (universe) from Debian unstable (main)

2020-09-28 Thread Dmitry Shachnev
This bug was fixed in the package syncthing - 1.9.0~ds1-2
Sponsored for Andrej Shadura (andrew.sh)

---
syncthing (1.9.0~ds1-2) unstable; urgency=medium

  * badger-max-cache.patch: Don't use deprecated
MaxCache option.
  * Depend on quic-go >=0.18.0.

 -- Alexandre Viau   Sun, 20 Sep 2020 00:47:13 -0400

syncthing (1.9.0~ds1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau   Wed, 16 Sep 2020 11:49:49 -0400

syncthing (1.8.0~ds1-1) unstable; urgency=medium

  * New upstream version. (Closes: #966466, #964363)
  * Remove quic-go.patch.
  * Refresh patches.
  * d/rules: adapt to new GUI files location.
  * Depend on golang-siphash-dev.
  * Depend on golang-github-dgraph-io-badger-dev.
  * Depend on go-ldap >=3.2.3.
  * Depend on golang-github-greatroar-blobloom-dev.
  * Remove many unused dependencies.

 -- Alexandre Viau   Wed, 16 Sep 2020 11:34:10 -0400

syncthing (1.5.0~ds1-5) unstable; urgency=medium

  * d/watch: point to correct releases page.

 -- Alexandre Viau   Sun, 30 Aug 2020 16:01:59 -0400

syncthing (1.5.0~ds1-4) unstable; urgency=medium

  * upstream/metada: add repository and repository-browse links.

 -- Alexandre Viau   Sun, 30 Aug 2020 14:33:57 -0400

syncthing (1.5.0~ds1-3) unstable; urgency=medium

  * Declare Rules-Requires-Root: no.

 -- Alexandre Viau   Sun, 30 Aug 2020 14:30:58 -0400

syncthing (1.5.0~ds1-2) unstable; urgency=medium

  * Allow multiple options in STRELAYSRV_OPTS. (Closes: #920677)

 -- Alexandre Viau   Sun, 30 Aug 2020 14:04:31 -0400

syncthing (1.5.0~ds1-1) unstable; urgency=medium

  * New upstream version.
  * Refresh tests-wait-longer.patch.
  * Refresh skip-failing-test.patch.
  * Refresh disable_test_host_check.patch.
  * Depend on golang-github-maruel-panicparse-dev.
  * Depend on golang-github-getsentry-raven-go-dev.
  * Depend on golang-github-lucas-clemente-quic-go-dev.
  * Don't build cmd/stcrashreceiver.
  * Depend on golang-github-ccding-go-stun >= 0.1.2.
  * Depend on golang-github-jackpal-go-nat-pmp-dev.
  * Depend on golang-github-shirou-gopsutil-dev.
  * Depend on golang-github-willf-bloom-dev.
  * d/rules: don't build stupgrades.
  * Create quic-go.patch.

 -- Alexandre Viau   Sun, 30 Aug 2020 13:51:50 -0400

syncthing (1.1.4~ds1-5) unstable; urgency=medium

  * Team upload.
  * Fix version string in package. (Closes: #931401)

 -- Stephen Gelman   Thu, 12 Mar 2020 19:59:32 -0500

** Changed in: syncthing (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897447

Title:
  Sync syncthing 1.9.0~ds1-2 (universe) from Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/syncthing/+bug/1897447/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1896885] Re: Please add Finnish translation for gnome-flashback

2020-09-24 Thread Dmitry Shachnev
Hi Timo!

Can you please add SRU template paperwork to this bug?

I would wait for 3.36.5 release to avoid double load on SRU team (it
will also contain the Russian translation I am interested in), but
filling the SRU template is needed in any case.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1896885

Title:
  Please add Finnish translation for gnome-flashback

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-flashback/+bug/1896885/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1896405] Re: Cannot install libglib2.0-dev on ubuntu 20.04.1

2020-09-21 Thread Dmitry Shachnev
** Package changed: gnome-panel (Ubuntu) => glib2.0 (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1896405

Title:
  Cannot install  libglib2.0-dev on ubuntu 20.04.1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/glib2.0/+bug/1896405/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1895349] Re: Sync libgweather 3.36.1-1 (main) from Debian unstable (main)

2020-09-13 Thread Dmitry Shachnev
This bug was fixed in the package libgweather - 3.36.1-1
Sponsored for Amr Ibrahim (amribrahim1987)

---
libgweather (3.36.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
- This version works around the unavailability of the NOAA weather
  services by using very short-term forecasts as current weather
  conditions. (Closes: #968909)

 -- Simon McVittie   Fri, 28 Aug 2020 23:36:23 +0100

** Changed in: libgweather (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1895349

Title:
  Sync libgweather 3.36.1-1 (main) from Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libgweather/+bug/1895349/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1894798] Re: Sync desktopfolder 1.1.3-1 (universe) from Debian unstable (main)

2020-09-08 Thread Dmitry Shachnev
This bug was fixed in the package desktopfolder - 1.1.3-1
Sponsored for fossfreedom (fossfreedom)

---
desktopfolder (1.1.3-1) unstable; urgency=medium

  * New upstream release
fix: transparent icons on changing desktops
fix: fast double click
fix: black backdrop on Fedora
Translations Added and Updated
  * Packaging Changes
control - bump debhelper version

 -- David Mohammed   Wed, 02 Sep 2020 21:20:07
+0100

** Changed in: desktopfolder (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1894798

Title:
  Sync desktopfolder 1.1.3-1 (universe) from Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/desktopfolder/+bug/1894798/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1876322] Re: kazam on Focal: No audio recorded

2020-09-08 Thread Dmitry Shachnev
Paul, thanks for testing. Marking as verified accordingly.

** Tags removed: verification-needed verification-needed-focal
** Tags added: verification-done verification-done-focal

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1876322

Title:
  kazam on Focal: No audio recorded

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/kazam/+bug/1876322/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1892628] Re: GNOME Flashback 3.36.4 SRU

2020-09-03 Thread Dmitry Shachnev
Justification for marking it as verified: the other three bugs (bug
1891855, bug 1891681 and bug 1882531) were verified by their reporters,
so at least three users tested the new version and it works fine for
them.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1892628

Title:
  GNOME Flashback 3.36.4 SRU

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-flashback/+bug/1892628/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1882531] Re: desktop context not localized

2020-09-03 Thread Dmitry Shachnev
Frank, thanks for testing. Marking as verified accordingly.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1882531

Title:
  desktop context not localized

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-translations/+bug/1882531/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1882531] Re: desktop context not localized

2020-08-23 Thread Dmitry Shachnev
** Description changed:

+ [Impact]
+ 
+ GNOME Flashback desktop is not localized into German.
+ 
+ [Test Case]
+ 
+ 1. Enable German locale (de_DE.UTF-8).
+ 2. Log into the GNOME Flashback (Metacity) session.
+ 3. Right-click on the desktop to open the context menu.
+ 4. It should be in German, not in English.
+ 
+ [Regression Potential]
+ 
+ The regression can be that the translation is wrong. The German
+ translation was done by me (Dmitry Shachnev), but it was reviewed and
+ corrected by Tim Sabsch.
+ 
+ [Original Description]
+ 
  Hi,
  
  at least in german environment the rightclick menu is not localized (and
  also the home-link).
  
  see screenshot attached
- 
- regards Frank
- --- 
- ProblemType: Bug
- ApportVersion: 2.20.11-0ubuntu27.2
- Architecture: amd64
- CasperMD5CheckResult: skip
- CurrentDesktop: GNOME-Flashback:GNOME
- DistroRelease: Ubuntu 20.04
- GsettingsChanges:
-  b'org.gnome.nautilus.window-state' b'initial-size' b'(1130, 550)'
-  b'org.gnome.nautilus.preferences' b'always-use-location-entry' b'true'
-  b'org.gnome.nautilus.preferences' b'default-folder-viewer' b"'list-view'"
-  b'org.gnome.nautilus.list-view' b'default-column-order' b"['name', 'size', 
'type', 'owner', 'group', 'permissions', 'where', 'date_modified', 
'date_modified_with_time', 'date_accessed', 'recency', 'starred', 
'detailed_type']"
- InstallationDate: Installed on 2020-04-27 (42 days ago)
- InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
- Package: nautilus 1:3.36.2-0ubuntu1
- PackageArchitecture: amd64
- ProcVersionSignature: Ubuntu 5.4.0-33.37-generic 5.4.34
- Tags:  focal
- Uname: Linux 5.4.0-33-generic x86_64
- UpgradeStatus: No upgrade log present (probably fresh install)
- UserGroups: adm cdrom dialout dip lpadmin lxd plugdev sambashare sudo
- _MarkForUpload: True
- usr_lib_nautilus:

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1882531

Title:
  desktop context not localized

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-translations/+bug/1882531/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1891681] Re: Can not disable screen locking after suspend in ubuntu 20.04 (gnome-flashback)

2020-08-23 Thread Dmitry Shachnev
** Description changed:

+ [Impact]
+ 
+ When suspending the computer, screen lock activates even if it is
+ disabled.
+ 
+ [Test Case]
+ 
+ 1. Disable screen locking by running the following command:
+ gsettings set org.gnome.desktop.screensaver lock-enabled false
+ 2. Log into GNOME Flashback (Metacity) session.
+ 3. Suspend the computer and then wake it up back.
+ 4. There should be no lock screen, the desktop should be seen as before 
suspend.
+ 
+ [Regression Potential]
+ 
+ See https://gitlab.gnome.org/GNOME/gnome-
+ flashback/-/commit/fd4855c406106750 for the upstream fix.
+ 
+ The fix is trivial: when gf_prefs_get_lock_enabled() returns false,
+ listener_lock_cb() is not called. In any case, potential regressions
+ would be limited to screen locking code.
+ 
+ [Original Description]
+ 
  Hello!
  
  I updated from 18.04 to 20.04 and since then unable to disable lock
  screen, despite it was disabled in 18.04. Corresponding setting in the
  gui does not take effect, so does gsettings set
  org.gnome.desktop.screensaver lock-enabled false or xset s off. I also
  tried sudo dpkg-reconfigure gdm3 (the setting was sddm, and i changed it
  to gdm3) with the same effect.
  
  After suspension i get picture with purple fossa and password field, in
  which i can not change keyboard layout with keyboard, but only with
  mouse. My session is gnome-flashback (3.36.3-0ubuntu1) metacity
  (1:3.36.1-1). The lock screen does not appear after screensaver (i use
  xscreensaver).
  
  However once this lock screen stopped to appear, but at the same time
  the system started to enter suspend mode randomly and quite often. After
  rebooting the lock screens came back.
  
  Also the sound volume is set to "mute" sometimes after suspend.
  
  journalctl -xe starting at the beginning of suspension (unfortunately it
  is in part in russian) in the attached file.
  
  I asked this on askubuntu and was advised to file a bug here.
  https://askubuntu.com/questions/1265613/can-not-disable-screen-locking-
  after-suspend-in-20-04
  
  Thanks in advance.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1891681

Title:
  Can not disable screen locking after suspend in ubuntu 20.04 (gnome-
  flashback)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-flashback/+bug/1891681/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1892628] [NEW] GNOME Flashback 3.36.4 SRU

2020-08-23 Thread Dmitry Shachnev
Public bug reported:

This is a tracking bug for GNOME Flashback 3.36.4 upload to Focal.

Here is upstream diff and list of commits between 3.36.3 and 3.36.4:

https://gitlab.gnome.org/GNOME/gnome-flashback/-/compare/3.36.3...3.36.4

Upstream NEWS entry is:

Version 3.36.4
==
- Update lock screen window on monitor changes. (LP: #1891855)
- Don't lock screen on suspend if automatic screen lock
  is disabled. (LP: #1891681)
- Updated translations. (LP: #1882531)

The only not mentioned fix in this release is hiding of the Extensions
menu item. That application is for GNOME Shell only, and it should not
be shown in GNOME Flashback session. See https://gitlab.gnome.org/GNOME
/gnome-flashback/-/issues/42.

Please see the bugs mentioned above for test cases and description of
regression potential.

All these bugs are also fixed in 3.37.3 release which is available in
Groovy.

** Affects: gnome-flashback (Ubuntu)
 Importance: Undecided
 Status: Fix Released

** Affects: gnome-flashback (Ubuntu Focal)
 Importance: Undecided
 Status: New

** Also affects: gnome-flashback (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Description changed:

  This is a tracking bug for GNOME Flashback 3.36.4 upload to Focal.
  
  Here is upstream diff and list of commits between 3.36.3 and 3.36.4:
  
  https://gitlab.gnome.org/GNOME/gnome-flashback/-/compare/3.36.3...3.36.4
  
  Upstream NEWS entry is:
  
  Version 3.36.4
  ==
- - Update lock screen window on monitor changes. (LP:#1891855)
+ - Update lock screen window on monitor changes. (LP: #1891855)
  - Don't lock screen on suspend if automatic screen lock
-   is disabled. (LP:#1891681)
- - Updated translations. (LP:#1882531)
+   is disabled. (LP: #1891681)
+ - Updated translations. (LP: #1882531)
  
  The only not mentioned fix in this release is hiding of the Extensions
  menu item. That application is for GNOME Shell only, and it should not
  be shown in GNOME Flashback session. See https://gitlab.gnome.org/GNOME
  /gnome-flashback/-/issues/42.
  
  Please see the bugs mentioned above for test cases and description of
  regression potential.
+ 
+ All these bugs are also fixed in 3.37.3 release which is available in
+ Groovy.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1892628

Title:
  GNOME Flashback 3.36.4 SRU

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-flashback/+bug/1892628/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1876281] Re: 20.4 - ssh/sftp - bookmark not working

2020-08-23 Thread Dmitry Shachnev
Thanks for confirming!

Marking as verified per comment #19.

** Tags removed: verification-needed verification-needed-focal
** Tags added: verification-done verification-done-focal

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1876281

Title:
  20.4 - ssh/sftp - bookmark not working

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-panel/+bug/1876281/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1891681] Re: Can not disable screen locking after suspend in ubuntu 20.04 (gnome-flashback)

2020-08-22 Thread Dmitry Shachnev
This is now fixed in the development Ubuntu release (gnome-flashback
3.37.3). A fix for stable release (Ubuntu 20.04) will be available a bit
later.

** Also affects: gnome-flashback (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: gnome-flashback (Ubuntu)
   Status: New => Fix Released

** Changed in: gnome-flashback (Ubuntu Focal)
   Status: New => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1891681

Title:
  Can not disable screen locking after suspend in ubuntu 20.04 (gnome-
  flashback)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-flashback/+bug/1891681/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1891855] Re: Connecting external monitor while screen is locked reveals desktop

2020-08-22 Thread Dmitry Shachnev
This is now fixed in the development Ubuntu release (gnome-flashback
3.37.3). A fix for stable release (Ubuntu 20.04) will be available a bit
later.

** Also affects: gnome-flashback (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: gnome-flashback (Ubuntu)
   Status: Confirmed => Fix Released

** Changed in: gnome-flashback (Ubuntu Focal)
   Status: New => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1891855

Title:
  Connecting external monitor while screen is locked reveals desktop

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-flashback/+bug/1891855/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1882531] Re: desktop context not localized

2020-08-22 Thread Dmitry Shachnev
This is now fixed in the development Ubuntu release (gnome-flashback
3.37.3). A fix for stable release (Ubuntu 20.04) will be available a bit
later.

** Also affects: gnome-flashback (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: gnome-flashback (Ubuntu)
   Status: Confirmed => Fix Released

** Changed in: gnome-flashback (Ubuntu Focal)
   Status: New => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1882531

Title:
  desktop context not localized

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-translations/+bug/1882531/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1876322] Re: kazam on Focal: No audio recorded

2020-08-22 Thread Dmitry Shachnev
** Description changed:

- 
  [Impact]
  
  * Kazam does not detect audio devices when running with Python 3.8
  * Recording of audio does not work in Kazam
  
  [Test Case]
  
  * Run Kazam on a system with PulseAudio
  * Check if audio devices have been detected, they must be listed in the GUI 
in settings of audio
  * Check if console output contains "Unable to find any audio devices"
  
  [Regression Potential]
  
- No regressions are expected.
+ The bug is fixed by replacing time.clock() with time.perf_counter(), as
+ can be seen in this patch:
+ 
+ https://salsa.debian.org/python-
+ team/applications/kazam/-/blob/master/debian/patches/perf_counter.patch
+ 
+ The old method was deprecated since Python 3.3, and completely removed
+ in Python 3.8. So by replacing it with the new method, we are definitely
+ not making the situation worse. So no regressions are expected (if for
+ some reason the new method is not working properly, it won't be a
+ regression).
  
  [Other info]
  
  Original bug description:
  
  Hello,
  I upgraded from Ubuntu 19.10 to 20.04. The process completed without any 
problem.
  
  I meet a bug to execute kazam ( version 1.4.5-3 ) : No audio recoded
  with images : the video has no audio track. This occurson 2 differents
  computers ( where bug only appeared after upgrading to 20.04 )
  
  No audio recorded even if i select Speaker and/or microphone boxes.
  
  So I tried to configure the audio devices : in the preferences interface, 
it's impossible to select any of sound sources for recording, nor Speakers otr 
Microphones ( see screenshot : empty or unknown labels... )
  And on one machine, trying to select devices with audio preferences conducts 
to crash Kazam.
  
  Executing Kazam through the command line presents a warning about
  "Unable to find any audio devices" :
  
  WARNING Kazam - Failed to correctly detect operating system.
  /usr/lib/python3/dist-packages/kazam/app.py:145: Warning: value 
"((GtkIconSize) 32)" of type 'GtkIconSize' is invalid or out of range for 
property 'icon-size' of type 'GtkIconSize'
    self.builder.add_from_file(os.path.join(prefs.datadir, "ui", "kazam.ui"))
  
  (kazam:29121): Gtk-WARNING **: 16:10:18.525: Can't set a parent on
  widget which has a parent
  
  (kazam:29121): Gtk-WARNING **: 16:10:18.534: Can't set a parent on widget 
which has a parent
  WARNING Prefs - Unable to find any audio devices.
  Traceback (most recent call last):
    File "/usr/lib/python3/dist-packages/kazam/frontend/preferences.py", line 
256, in cb_audio2_changed
  pa_audio2_idx =  prefs.mic_sources[prefs.audio2_source][0]
  IndexError: list index out of range
  Traceback (most recent call last):
    File "/usr/lib/python3/dist-packages/kazam/frontend/preferences.py", line 
256, in cb_audio2_changed
  pa_audio2_idx =  prefs.mic_sources[prefs.audio2_source][0]
  IndexError: list index out of range
  
  help would be appreciated... Thank you

** Also affects: kazam (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: kazam (Ubuntu Focal)
   Status: New => In Progress

** Changed in: kazam (Ubuntu Focal)
 Assignee: (unassigned) => Dmitry Shachnev (mitya57)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1876322

Title:
  kazam on Focal: No audio recorded

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/kazam/+bug/1876322/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1876281] Re: 20.4 - ssh/sftp - bookmark not working

2020-08-22 Thread Dmitry Shachnev
Hi Frank! Can you please test the fixed package in focal-proposed?

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1876281

Title:
  20.4 - ssh/sftp - bookmark not working

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-panel/+bug/1876281/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1891379] Re: Sync obs-build 20180831-4 (universe) from Debian unstable (main)

2020-08-15 Thread Dmitry Shachnev
This bug was fixed in the package obs-build - 20190710-1
Sponsored for Hans Joachim Desserud (hjd)

---
obs-build (20190710-1) unstable; urgency=medium

  [ Héctor Orón Martínez ]
  * New usptream release.

  [ Andrej Shadura ]
  * Use Python 3 with the openstack console.
  * Add the missing python3-websocket dependency.

 -- Andrej Shadura   Thu, 06 Aug 2020 10:51:49
+0200

obs-build (20180831-4) unstable; urgency=medium

  [ Matthias Klose ]
  * Use python2 instead of python (Closes: #966765).

  [ Andrej Shadura ]
  * Update the co-maintainers list.

 -- Andrej Shadura   Thu, 06 Aug 2020 10:24:20
+0200

** Changed in: obs-build (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1891379

Title:
  Sync obs-build 20180831-4 (universe) from Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/obs-build/+bug/1891379/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1891380] Re: Sync redland-bindings 1.0.17.1+dfsg-1.4 (universe) from Debian unstable (main)

2020-08-15 Thread Dmitry Shachnev
This bug was fixed in the package redland-bindings - 1.0.17.1+dfsg-1.4
Sponsored for Hans Joachim Desserud (hjd)

---
redland-bindings (1.0.17.1+dfsg-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * python-librdf: Don't hard-code python. Closes: #966787.

 -- Matthias Klose   Sat, 08 Aug 2020 16:54:36 +0200

** Changed in: redland-bindings (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1891380

Title:
  Sync redland-bindings 1.0.17.1+dfsg-1.4 (universe) from Debian
  unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/redland-bindings/+bug/1891380/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1890170] Re: ImportError libstdc++.so.6 cannot allocate memory after importing PyQt5.Qt PyQt5.QtCore and cv2

2020-08-04 Thread Dmitry Shachnev
** Tags added: regression-update

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1890170

Title:
  ImportError libstdc++.so.6 cannot allocate memory after importing
  PyQt5.Qt PyQt5.QtCore and cv2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mysql-8.0/+bug/1890170/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1876758] Re: Menu bar missing for various applications

2020-07-28 Thread Dmitry Shachnev
> to my big surprise recognized that the missing menu bars are actually
located in the bottom (gnome-)panel

You can Alt + right-click on that applet and remove it from panel, then
the menu will return to the window. Also you can re-add that applet to
the top panel if you want.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1876758

Title:
  Menu bar missing for various applications

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-flashback/+bug/1876758/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1889063] Re: Sync python-requests-cache 0.5.2-1 (universe) from Debian unstable (main)

2020-07-28 Thread Dmitry Shachnev
This bug was fixed in the package python-requests-cache - 0.5.2-1
Sponsored for Hans Joachim Desserud (hjd)

---
python-requests-cache (0.5.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
Repository-Browse.

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
- extend packaging copyright years

 -- Sandro Tosi   Fri, 24 Jul 2020 23:04:11 -0400

** Changed in: python-requests-cache (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1889063

Title:
  Sync python-requests-cache 0.5.2-1 (universe) from Debian unstable
  (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-requests-cache/+bug/1889063/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1889062] Re: Sync python-dmidecode 3.12.2-11 (universe) from Debian unstable (main)

2020-07-28 Thread Dmitry Shachnev
This bug was fixed in the package python-dmidecode - 3.12.2-11
Sponsored for Hans Joachim Desserud (hjd)

---
python-dmidecode (3.12.2-11) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Sandro Tosi ]
  * Use pkg-config to find libxml2 linker flags, patch by Logan Rosen;
Closes: #949486
  * debian/copyright
- extend packaging copyright years
  * debian/control
- wrap-and-sort

 -- Sandro Tosi   Sat, 25 Jul 2020 23:26:05 -0400

** Changed in: python-dmidecode (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1889062

Title:
  Sync python-dmidecode 3.12.2-11 (universe) from Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-dmidecode/+bug/1889062/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1888532] Re: Sync liblwp-protocol-https-perl 6.09-1 (main) from Debian unstable (main)

2020-07-22 Thread Dmitry Shachnev
This bug was fixed in the package liblwp-protocol-https-perl - 6.09-1
Sponsored for Hans Joachim Desserud (hjd)

---
liblwp-protocol-https-perl (6.09-1) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Disable network tests during autopkgtests like during build.

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
Browse.
  * Set upstream metadata fields: Bug-Submit.

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.
  * Import upstream version 6.09.
  * Update upstream contact.
  * Refresh patches (offset).
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Drop unneeded version constraints from (build) dependencies.
Also remove Breaks/Replaces on ancient libwww-perl version.
  * Bump debhelper-compat to 13.
  * Install new upstream CONTRIBUTING file.
  * Add empty debian/tests/pkg-perl/syntax-skip to enable
syntax.t autopkgtest.

 -- gregor herrmann   Sat, 18 Jul 2020 19:41:51 +0200

** Changed in: liblwp-protocol-https-perl (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1888532

Title:
  Sync liblwp-protocol-https-perl 6.09-1 (main) from Debian unstable
  (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/liblwp-protocol-https-perl/+bug/1888532/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1888531] Re: Sync python-reportlab 3.5.44-1 (main) from Debian unstable (main)

2020-07-22 Thread Dmitry Shachnev
This bug was fixed in the package python-reportlab - 3.5.44-1
Sponsored for Hans Joachim Desserud (hjd)

---
python-reportlab (3.5.44-1) unstable; urgency=medium

  * New upstream version.
  * python3-renderpm: Depend on fonts-urw-base35. Closes: #951062.

 -- Matthias Klose   Fri, 17 Jul 2020 11:23:11 +0200

** Changed in: python-reportlab (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1888531

Title:
  Sync python-reportlab 3.5.44-1 (main) from Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-reportlab/+bug/1888531/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1888529] Re: Sync lwipv6 1.5a-6 (universe) from Debian unstable (main)

2020-07-22 Thread Dmitry Shachnev
This bug was fixed in the package lwipv6 - 1.5a-6
Sponsored for Hans Joachim Desserud (hjd)

---
lwipv6 (1.5a-6) unstable; urgency=medium

  * Fix ftbfs with glibc 2.31. From ubuntu:
Matthias Klose   Thu, 04 Jun 2020 13:21:32 +0200

 -- Renzo Davoli   Mon, 20 Jul 2020 10:28:22 +0200

** Changed in: lwipv6 (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1888529

Title:
  Sync lwipv6 1.5a-6 (universe) from Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lwipv6/+bug/1888529/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1887521] Re: GNOME Panel 3.36.2 SRU

2020-07-22 Thread Dmitry Shachnev
The package built fine, so marking this tracking bug as verification-
done. The real verification will happen in bug 1876281.

** Tags removed: verification-needed verification-needed-focal
** Tags added: verification-done verification-done-focal

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1887521

Title:
  GNOME Panel 3.36.2 SRU

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-panel/+bug/1887521/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1882531] Re: desktop context not localized

2020-07-21 Thread Dmitry Shachnev
> Dmitry, should I make new release?

If you think the other changes in gnome-3-36 branch are important
bugfixes then yes, please make a new release (and one for 3.37 too).

Otherwise I can make a new upload only with updated translations. I also
submitted a Russian translation to l10n.gnome.org a few days ago, but
it's not reviewed yet.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1882531

Title:
  desktop context not localized

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-translations/+bug/1882531/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1872646] Re: python-sphinx-rtd-theme dependency mistchatch with sphinx-rtd-theme-common[0.4.3+dfsg-3]

2020-07-19 Thread Dmitry Shachnev
That is correct. python-sphinx-rtd-theme cannot be installed as this
package was removed:

https://launchpad.net/ubuntu/+source/sphinx-rtd-theme/0.4.3+dfsg-3

Use python3-sphinx-rtd-theme (the Python 3 package) instead.

** Changed in: sphinx-rtd-theme (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1872646

Title:
  python-sphinx-rtd-theme dependency mistchatch with sphinx-rtd-theme-
  common[0.4.3+dfsg-3]

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/sphinx-rtd-theme/+bug/1872646/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1887959] Re: Unable to upgrade several qt5 packages (libqt5gui5, …)

2020-07-18 Thread Dmitry Shachnev
The correct metadata here is Breaks, and it is already present, see
https://salsa.debian.org/qt-kde-team/qt/qtbase/commit/78c0aa9db8684a1a.
Apt didn't remove Qt 4 because you had some packages depending on it.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1887959

Title:
  Unable to upgrade several qt5 packages (libqt5gui5, …)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtbase-opensource-src/+bug/1887959/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1887959] Re: Unable to upgrade several qt5 packages (libqt5gui5, …)

2020-07-18 Thread Dmitry Shachnev
That is correct behavior. You had many Qt 4 packages installed, however
Qt 4 was removed from Ubuntu, and it conflicts with the latest version
of Qt 5. So you need to remove Qt 4 in order to upgrade Qt 5.

** Changed in: qtbase-opensource-src (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1887959

Title:
  Unable to upgrade several qt5 packages (libqt5gui5, …)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtbase-opensource-src/+bug/1887959/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1887959] Re: Unable to upgrade several qt5 packages (libqt5gui5, …)

2020-07-17 Thread Dmitry Shachnev
What happens when you try to "apt install libqt5core5a"?

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1887959

Title:
  Unable to upgrade several qt5 packages (libqt5gui5, …)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtbase-opensource-src/+bug/1887959/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1881115] Re: shift-delete not handled

2020-07-14 Thread Dmitry Shachnev
Please see comment #18. It is fixed in Ubuntu 20.10, but it won't be
fixed in 20.04 LTS.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1881115

Title:
  shift-delete not handled

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-shell-extension-desktop-icons/+bug/1881115/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1887521] [NEW] GNOME Panel 3.36.2 SRU

2020-07-14 Thread Dmitry Shachnev
Public bug reported:

This is a tracking bug for GNOME Panel 3.36.2 upload to Focal.

Here is upstream diff and list of commits between 3.36.1 and 3.36.2:

https://gitlab.gnome.org/GNOME/gnome-panel/-/compare/3.36.1...3.36.2

The only real fix in this release is fix for bug 1876281. Please see
that bug for the Impact, Test Case and Regression Potential information.

Other changes are translation updates and a fix for out-of-tree builds.

** Affects: gnome-panel (Ubuntu)
 Importance: Undecided
 Status: Fix Released

** Affects: gnome-panel (Ubuntu Focal)
 Importance: Undecided
 Status: New

** Also affects: gnome-panel (Ubuntu Focal)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1887521

Title:
  GNOME Panel 3.36.2 SRU

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-panel/+bug/1887521/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1876281] Re: 20.4 - ssh/sftp - bookmark not working

2020-07-14 Thread Dmitry Shachnev
Yes, I am working on a fix for Focal.

** Description changed:

- Hi,
- 
- i want to try to create a bookmark from an sshfs-folder mounted by
- nautilus in Ubuntu 20.04.
- 
- - enable Address-bar in nautilus (found no way to do it via gui): gsettings 
set org.gnome.nautilus.preferences always-use-location-entry true
- - connect to a ssh/sftp-share by entering address: e.g. ssh://192.168.0.10 - 
connection worked
- - now i try to add a bookmark for it by make rightclick on mounted-filesystem 
in the left list - bookmark created and visible in locations menu on 
gnome-flashback and inside nautilus
- - i can access the bookmark while i'm connected...but if i reboot the 
bookmark does not work anymore...only display error that it's not mounted. on 
18.4 it will be mounted again (asking credentionals before of course).
- 
- regards Frank
- 
- ProblemType: Bug
- DistroRelease: Ubuntu 20.04
- Package: nautilus 1:3.36.1.1-1ubuntu2
- ProcVersionSignature: Ubuntu 5.4.0-26.30-generic 5.4.30
- Uname: Linux 5.4.0-26-generic x86_64
- ApportVersion: 2.20.11-0ubuntu27
- Architecture: amd64
- CasperMD5CheckResult: skip
- CurrentDesktop: GNOME-Flashback:GNOME
- Date: Fri May  1 13:02:17 2020
- GsettingsChanges:
-  b'org.gnome.nautilus.preferences' b'always-use-location-entry' b'true'
-  b'org.gnome.nautilus.preferences' b'default-folder-viewer' b"'list-view'"
-  b'org.gnome.nautilus.list-view' b'default-column-order' b"['name', 'size', 
'type', 'owner', 'group', 'permissions', 'where', 'date_modified', 
'date_modified_with_time', 'date_accessed', 'recency', 'starred', 
'detailed_type']"
- InstallationDate: Installed on 2020-04-27 (3 days ago)
- InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
- ProcEnviron:
-  PATH=(custom, no user)
-  XDG_RUNTIME_DIR=
-  LANG=de_DE.UTF-8
-  SHELL=/bin/bash
- SourcePackage: nautilus
- UpgradeStatus: No upgrade log present (probably fresh install)
- usr_lib_nautilus:
- 
- 
- SRU-Template (as far as i can fill out):
- 
  [Impact]
  
-  * An explanation of the effects of the bug on users and
+ Users cannot open remote filesystems by clicking bookmarks in gnome-
+ panel (Places menu or its "Recent documents" submenu).
  
- users using gnome-flashback cannot open remote filesystems by clicking
- bookmark in gnome-panel
- 
-  * justification for backporting the fix to the stable release.
- 
- patch is compatible with code of gnomepanel (3.36.1) in ubuntu 20.4,
- ubuntu 18.4 not affected
- 
-  * In addition, it is helpful, but not required, to include an
-explanation of how the upload fixes this bug.
- 
-g_file_mount_enclosing_volume is now called if the volume is not
- mounted yet instead of displaying an error
+ This is fixed by calling g_file_mount_enclosing_volume if the volume is
+ not mounted yet, instead of displaying an error.
  
  [Test Case]
  
-  * detailed instructions how to reproduce the bug
-  
- - start window-session with gnome-flashback
+ - install gnome-session-flashback and log into GNOME Flashback (Metacity) 
session
  - open nautilus
- - access an remote filesystem (e.g. ssh://192.168.0.x - server with sftp 
enabled in lan)
-   by pressing Ctrl-L to show addressbar and insert the adress
- - create a bookmark of this session
- - umount the share
- - click on bookmark in gnome-panel
- 
-  * these should allow someone who is not familiar with the affected
-package to reproduce the bug and verify that the updated package fixes
-the problem.
+ - access a remote filesystem (e.g. ssh://192.168.0.x - server with sftp 
enabled in lan) by pressing Ctrl-L to show address bar and inserting the address
+ - create a bookmark for it by opening Nautilus context menu and clicking "Add 
to Bookmarks"
+ - unmount the share
+ - click on bookmark in gnome-panel Places menu
  
  [Regression Potential]
  
- imho this can only be answered by author of Patch :)
+ This bug itself is a regression from previous releases, e.g. in Ubuntu
+ 18.04 it worked fine.
  
-  * discussion of how regressions are most likely to manifest as a result
- of this change.
+ Most of the new code is executed within the "if (g_error_matches (error,
+ G_IO_ERROR, G_IO_ERROR_NOT_MOUNTED))" block, so it is executed only
+ where previously there was an error.
  
-  * It is assumed that any SRU candidate patch is well-tested before
-upload and has a low overall risk of regression, but it's important
-to make the effort to think about what ''could'' happen in the
-event of a regression.
+ The only change outside that block is factoring out the
+ launch_uri_show_error_dialog function, but the logic is not changed.
  
-  * This both shows the SRU team that the risks have been considered,
-and provides guidance to testers in regression-testing the SRU.
+ In any case, the potential regressions would be limited to handling
+ items in the Places menu.
  
  [Other Info]
  
- no idea what to write here :)
- 
-  * Anything else you think is useful to include
-  * Anticipate 

[Bug 1887496] Re: Sync jdupes 1.18.1-1 (universe) from Debian unstable (main)

2020-07-14 Thread Dmitry Shachnev
This bug was fixed in the package jdupes - 1.18.1-1
Sponsored for Hans Joachim Desserud (hjd)

---
jdupes (1.18.1-1) unstable; urgency=medium

  * New upstream version 1.18.1.
  * debian/tests/control: use native 'tree' command to make two CI tests
cross-test-friendly for Ubuntu. See more details in #946361.

 -- Joao Eriberto Mota Filho   Sat, 11 Jul 2020
23:07:32 -0300

** Changed in: jdupes (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1887496

Title:
  Sync jdupes 1.18.1-1 (universe) from Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/jdupes/+bug/1887496/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1879112] Re: Sync python-secretstorage 3.1.2-1 (main) from Debian unstable (main)

2020-07-13 Thread Dmitry Shachnev
** Changed in: python-secretstorage (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1879112

Title:
  Sync python-secretstorage 3.1.2-1 (main) from Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-secretstorage/+bug/1879112/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1861268] Re: [MIR] jeepney

2020-07-13 Thread Dmitry Shachnev
** Changed in: python-secretstorage (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1861268

Title:
  [MIR] jeepney

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/jeepney/+bug/1861268/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1884550] Re: Live Editing broken in 5.12.8/9 upstream

2020-07-10 Thread Dmitry Shachnev
You can look at . All is green, just be patient. There is no promoting on
Fridays or on weekends, so I guess it will be promoted in the beginning
of next week.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1884550

Title:
  Live Editing broken in 5.12.8/9 upstream

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtwebengine-opensource-src/+bug/1884550/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1884550] Re: Live Editing broken in 5.12.8/9 upstream

2020-07-02 Thread Dmitry Shachnev
Yes but manually, not automatically.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1884550

Title:
  Live Editing broken in 5.12.8/9 upstream

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtwebengine-opensource-src/+bug/1884550/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1884550] Re: Live Editing broken in 5.12.8/9 upstream

2020-07-02 Thread Dmitry Shachnev
I have retried that test, and it passed now.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1884550

Title:
  Live Editing broken in 5.12.8/9 upstream

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtwebengine-opensource-src/+bug/1884550/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1884550] Re: Live Editing broken in 5.12.8/9 upstream

2020-07-02 Thread Dmitry Shachnev
Unfortunately we can't move to 5.12.9 — that will require a rebuild of
all packages that use private Qt ABI, which is not possible for stable
release updates.

If there are any specific fixes from 5.12.9 that you want to have in
20.04, please open separate bugs for them.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1884550

Title:
  Live Editing broken in 5.12.8/9 upstream

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtwebengine-opensource-src/+bug/1884550/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1862987] Re: qtbase5-private-dev does not install private headers for QtWayland

2020-06-27 Thread Dmitry Shachnev
As we discussed on IRC, I will add private headers with Qt 5.15 packages
later this cycle.

In the mean time using qt5-gtk-platformtheme + adwaita-qt should make Qt
apps look better in GNOME environment.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1862987

Title:
  qtbase5-private-dev does not install private headers for QtWayland

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtwayland-opensource-src/+bug/1862987/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1884550] Re: Live Editing broken in 5.12.8/9 upstream

2020-06-23 Thread Dmitry Shachnev
Thanks!

I have uploaded the fix, it is now waiting for review in the queue:
https://launchpad.net/ubuntu/focal/+queue?queue_state=1

** Description changed:

  Ubuntu 20.04 LTS
+ 
+ [Impact]
  
  QtWebEngine bad chrome 77->69 cherry-pick bug broke live editing in Qt
  5.12.8 and Qt 5.12.9. The bad merge breaks styled markup traverse by
  accidentally inverting condition. Results in loss of content under
  certain conditions.
  
  Bug acknowledged: https://bugreports.qt.io/browse/QTBUG-85160
  
  Official patch-set to fix: https://codereview.qt-project.org/c/qt
  /qtwebengine-chromium/+/305139
  
  Please consider cherry-picking this official patch, so that the latest
  Ubuntu LTS release does not break apps that rely upon QtWebEngine's
  live-editing capabilities
  
  I co-maintain some open-source ebook editing software
  (https://github.com/sigil-ebook/pageedit) that allows users to make
  basic wysiwyg edits to local xhtml files loaded in a QWebEngineView
  using QWebEngine's live editing abilities. They basically highlight
  paragraphs and convert them to ordered/unordered lists via
  view->triggerPageAction(QWebEnginePage::InsertUnorderedList) and
  view->triggerPageAction(QWebEnginePage::InsertOrderedList) accordingly.
  
  This all works in Qt5.12.7 and earlier, but when using Ubuntu 20.04's
  5.12.8 QWebEngine packages, the highlighted content is deleted and an
  empty list is created (as per the aforementioned Qt bug confirmed and
  patched by Qt).
  
+ [Test Case]
+ 
  I've attached a small, focused, Qt project that clearly demonstrates the
  issue. It can be built with the standard qmake / make commands which
  will build a liveedit binary that loads a local xhtml file in a QWebView
- for editing. If you want to load your own local html file or a remote
- url, just pass the url as a parameter to ./liveedit:
+ for editing.
+ 
+ https://bugs.launchpad.net/ubuntu/+source/qtwebengine-opensource-
+ src/+bug/1884550/+attachment/5386530/+files/liveedit.tar.gz
+ 
+ If you want to load your own local html file or a remote url, just pass
+ the url as a parameter to ./liveedit:
  
  ./liveedit file:///home/user/localfile.html
  ./liveedit https://www.lipsum.com/feed/html
  
  Otherwise, no parameter means the included xhtml file will be loaded.
  
  Once loaded, highlight all the paragraphs and use the "Tools->Create
  List from selection" menu action to edit the rendered content.
  
  Qt5.12.7 and earlier will correctly create a list from the highlighted
  paragraphs (as will Qt5.14.x and later), but Qt5.12.8/9 will incorrectly
  delete the highlighted content and create an empty list (as per the
  aforementioned Qt bug confirmed and patched by Qt).
+ 
+ [Regression Potential]
+ 
+ This fixes the condition in the if/else block and restores the order
+ that was present in earlier Qt 5.12.x releases, e.g. in Ubuntu Eoan
+ which has 5.12.4. So the potential for regressions is minimal, and any
+ potential regression will be related to live edition.

** Description changed:

  Ubuntu 20.04 LTS
  
  [Impact]
  
  QtWebEngine bad chrome 77->69 cherry-pick bug broke live editing in Qt
  5.12.8 and Qt 5.12.9. The bad merge breaks styled markup traverse by
  accidentally inverting condition. Results in loss of content under
  certain conditions.
  
  Bug acknowledged: https://bugreports.qt.io/browse/QTBUG-85160
  
  Official patch-set to fix: https://codereview.qt-project.org/c/qt
  /qtwebengine-chromium/+/305139
  
  Please consider cherry-picking this official patch, so that the latest
  Ubuntu LTS release does not break apps that rely upon QtWebEngine's
  live-editing capabilities
  
  I co-maintain some open-source ebook editing software
  (https://github.com/sigil-ebook/pageedit) that allows users to make
  basic wysiwyg edits to local xhtml files loaded in a QWebEngineView
  using QWebEngine's live editing abilities. They basically highlight
  paragraphs and convert them to ordered/unordered lists via
  view->triggerPageAction(QWebEnginePage::InsertUnorderedList) and
  view->triggerPageAction(QWebEnginePage::InsertOrderedList) accordingly.
  
  This all works in Qt5.12.7 and earlier, but when using Ubuntu 20.04's
  5.12.8 QWebEngine packages, the highlighted content is deleted and an
  empty list is created (as per the aforementioned Qt bug confirmed and
  patched by Qt).
  
  [Test Case]
  
  I've attached a small, focused, Qt project that clearly demonstrates the
  issue. It can be built with the standard qmake / make commands which
  will build a liveedit binary that loads a local xhtml file in a QWebView
  for editing.
  
  https://bugs.launchpad.net/ubuntu/+source/qtwebengine-opensource-
  src/+bug/1884550/+attachment/5386530/+files/liveedit.tar.gz
  
  If you want to load your own local html file or a remote url, just pass
  the url as a parameter to ./liveedit:
  
  ./liveedit file:///home/user/localfile.html
  ./liveedit https://www.lipsum.com/feed/html
  
  Otherwise, no parameter means the 

[Bug 1884550] Re: Live Editing broken in 5.12.8/9 upstream

2020-06-23 Thread Dmitry Shachnev
> I assumed that Qt's own acknowledgement of the issue, and subsequent
official patch to correct it, would be sufficient to demonstrate the
necessity of incorporating said fix into a package that's part of an
Ubuntu LTS release.

It would be sufficient for me, but not for the SRU team who will review
the fix.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1884550

Title:
  Live Editing broken in 5.12.8/9 upstream

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtwebengine-opensource-src/+bug/1884550/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1884550] Re: Live Editing broken in 5.12.8/9 upstream

2020-06-23 Thread Dmitry Shachnev
Can you please add some test case to the bug description? Like what app
or website you are using, what exactly you are doing, etc?

This is needed per our stable release update procedure:
.

Also, I have verified that the bad code is not present in 5.14.2, so
marking it as fixed in Groovy (20.10).

** Also affects: qtwebengine-opensource-src (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: qtwebengine-opensource-src (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1884550

Title:
  Live Editing broken in 5.12.8/9 upstream

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtwebengine-opensource-src/+bug/1884550/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1884550] Re: Live Editing broken in 5.12.8/9 upstream

2020-06-22 Thread Dmitry Shachnev
Thanks for the heads up! I will fix it.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1884550

Title:
  Live Editing broken in 5.12.8/9 upstream

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtwebengine-opensource-src/+bug/1884550/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1884521] Re: python-scipy missing from repo 20.04

2020-06-22 Thread Dmitry Shachnev
The Python 3 package is named python3-scipy, like for all other Python
modules:

https://packages.ubuntu.com/focal/python3-scipy

Python 2 support was intentionally removed.

** Changed in: python-scipy (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1884521

Title:
  python-scipy missing from repo 20.04

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-scipy/+bug/1884521/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1883678] Re: Sync openafs 1.8.6~pre1-3 (universe) from Debian unstable (main)

2020-06-22 Thread Dmitry Shachnev
This bug was fixed in the package openafs - 1.8.6~pre1-3
Sponsored for Paolo Pisati (p-pisati)

---
openafs (1.8.6~pre1-3) unstable; urgency=medium

  * Temporarily disable a test that fails on armhf buildd but not
porterbox

 -- Benjamin Kaduk   Tue, 24 Mar 2020 17:30:45 -0700

openafs (1.8.6~pre1-2) unstable; urgency=medium

  * Pull in upstream patch to not resolve IP addresses to names in the
vos tests (Closes: #953729)
  * Only use dh_missing --fail-missing for binary packages, to match
the behavior used by the debhelper-compat-9 packaging prior to
1.8.6~pre1-1 (Closes: #953709)

 -- Benjamin Kaduk   Sat, 21 Mar 2020 18:58:47 -0700

openafs (1.8.6~pre1-1) unstable; urgency=medium

  * New upstream prerelease (Closes: #953709):
- Code cleanup prompted by gcc9 errors
- Update "vos zap -force" to clean up empty directories
- Relax implementation-specific XDR array length limits for prdb types,
  which were being hit in practice at some large sites
- Tighten up fileservers' -readonly mode, and add an option to allow
  members of system:administrators to be able to write to readonly servers
- Support linux kernels up to version 5.6rc2
- Additional sundry changes; see upstream NEWS
  * Pull in additional patches from upstream:
- Support linux kernel 5.6 release
- Recognize ppc64le in configure's OS-detection logic
- Skip vos tests if vlserver port is already bound (Closes: #953729)
  * Fix typo preventing ppc64el support from working (Closes: #946520)
  * Update Italian debconf translation; thanks Beatrice Torracca
(Closes: #952799)
  * Update to debhelper-compat 12

 -- Benjamin Kaduk   Sat, 21 Mar 2020 14:10:06 -0700

openafs (1.8.5-1) unstable; urgency=high

  * New upstream security release (Closes: #943587):
- Fix OPENAFS-SA-2019-001, OPENAFS-SA-2019-002: information leakage from
  uninitialized RPC output variables
- Fix OPENAFS-SA-2019-003: database server DoS (NULL dereference)
  * Configure --without-ctf-tools to allow kernel module builds when ctfutils
are installed. (Closes: #935771)
  * Enable support for ppc64le. (Closes: #941658)

 -- Benjamin Kaduk   Sun, 27 Oct 2019 15:13:27 -0700

** Changed in: openafs (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1883678

Title:
  Sync openafs 1.8.6~pre1-3 (universe) from Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openafs/+bug/1883678/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1884381] Re: Gnome-applets 3.36.2: drivemount applet cannot open nautilus

2020-06-21 Thread Dmitry Shachnev
** Also affects: gnome-applets (Ubuntu Focal)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1884381

Title:
  Gnome-applets 3.36.2: drivemount applet cannot open nautilus

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-applets/+bug/1884381/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1879140] Re: gnome-applets_3.36.2-1: window-picker applet fails to free items when window moved between monitors

2020-06-21 Thread Dmitry Shachnev
** Also affects: gnome-applets (Ubuntu Focal)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1879140

Title:
  gnome-applets_3.36.2-1: window-picker applet fails to free items when
  window moved between monitors

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-applets/+bug/1879140/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1884375] Re: Gnome-applets 3.36.2: Dialogs in netspeed applet are not properly closed when applet is destroyed

2020-06-21 Thread Dmitry Shachnev
Actually this patch was included in 3.36.2-1 upload, so it is already
present in Focal:

- https://launchpad.net/ubuntu/+source/gnome-applets/3.36.2-1
- 
https://salsa.debian.org/gnome-team/gnome-applets/-/blob/debian/3.36.2-1/debian/patches/netspeed_destroy_dialogs_when_applet_is_destroyed.diff

So I am closing this bug.

** Changed in: gnome-applets (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1884375

Title:
  Gnome-applets 3.36.2: Dialogs in netspeed applet are not properly
  closed when applet is destroyed

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-applets/+bug/1884375/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1884383] Re: [SRU] Update gnome-applets to 3.36.4

2020-06-20 Thread Dmitry Shachnev
** Description changed:

  [Impact]
  
  This is a bug fix release that includes:
  - translation updates;
  - bug fix updates for netspeed, drivemount and window-picker applets;
  
  NEWS
  
  Change log for 3.63.4:
  
https://gitlab.gnome.org/GNOME/gnome-applets/-/commit/ea8ec983c8d5e285c341b7a9448e0bf20d43d363
  Change log for 3.63.3:
  
https://gitlab.gnome.org/GNOME/gnome-applets/-/commit/2d5de2dff49a520f4b4fbed81d94841441729344
  
  Fixes:
  
  - A bug fix for the netspeed applet to ensure that dialogs are destroyed when 
an applet is destroyed:
-   https://bugs.launchpad.net/ubuntu/+source/gnome-applets/+bug/1879140
+   https://bugs.launchpad.net/ubuntu/+source/gnome-applets/+bug/1884375
  
  - A bug fix for the window-picker applet to ensure that task icons are 
correctly removed when a
  windows is closed:
-   https://bugs.launchpad.net/ubuntu/+source/gnome-applets/+bug/1879140
+   https://bugs.launchpad.net/ubuntu/+source/gnome-applets/+bug/1879140
  
  - A change for the drivemount applet to ensure errors are properly cleared:
-   https://bugs.launchpad.net/ubuntu/+source/gnome-applets/+bug/1884381
+   https://bugs.launchpad.net/ubuntu/+source/gnome-applets/+bug/1884381
  
  Besides the above bug fixes the release contains the following two minor
  changes:
  
  An change for the drivemount applet to update the nautilus desktop id, 
without this change the drivemount applet will fail to open the GNOME Nautilus 
file manager.
  
https://gitlab.gnome.org/GNOME/gnome-applets/-/commit/5445406a1257bc33b3b531d398748e311c6d93f6
  
  An update for the netspeed applet to remove an unused variable:
  
https://gitlab.gnome.org/GNOME/gnome-applets/-/commit/29272f65a4fce9049aa9c519752eead39127dab9
  
  [Test Cases]
  - See the three linked bug reports for test cases of each individual issue 
that was fixed.
  - The other two changes are minor code cleanups that cannot be validated with 
a test case.
  
- 
  [Regression Potential]
  
  netspeed:
  The removal of an unused private variable has no regression potential since 
it is not part of a public interface.
  
  drivemount:
  The change to clear an error variable is only a minor cleanup in the code 
with minimal regression potential.
  
  [Other Info]
  
  None.

** Also affects: gnome-applets (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: gnome-applets (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1884383

Title:
  [SRU] Update gnome-applets to 3.36.4

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-applets/+bug/1884383/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1883423] Re: no menu bar in LibreOffice

2020-06-16 Thread Dmitry Shachnev
I am reassigning this bug to indicator-appmenu to track missing
dependency on bamfdaemon.

** Package changed: libreoffice (Ubuntu) => indicator-appmenu (Ubuntu)

** Changed in: indicator-appmenu (Ubuntu)
 Assignee: (unassigned) => Dmitry Shachnev (mitya57)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1883423

Title:
  no menu bar in LibreOffice

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/indicator-appmenu/+bug/1883423/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1883423] Re: no menu bar in LibreOffice

2020-06-16 Thread Dmitry Shachnev
So you have indicator-applet-appmenu present in your panel.

Hold Alt key, right-click on the menubar in the panel, select “Remove
>From Panel” (Usuń z panelu).

Then the menu should be back in the application. If it’s not, then
restarting the application may help.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1883423

Title:
  no menu bar in LibreOffice

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1883423/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1878233] Re: Unable to locate package/Headers missing

2020-06-13 Thread Dmitry Shachnev
It is too late to include any warning for Ubuntu 20.04. Maybe I could
add it to the package description if there were other important bugs to
fix in a stable release update, but there are no such bugs yet.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1878233

Title:
  Unable to locate package/Headers missing

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qt3d-opensource-src/+bug/1878233/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1882965] Re: Sync prads 0.3.3-1.2 (universe) from Debian unstable (main)

2020-06-12 Thread Dmitry Shachnev
This bug was fixed in the package prads - 0.3.3-1.2
Sponsored for Hans Joachim Desserud (hjd)

---
prads (0.3.3-1.2) unstable; urgency=medium

  * Add build dep on python3-docutils (Closes: #960768)

 -- Moritz Muehlenhoff   Sat, 06 Jun 2020 19:18:00 +0200

** Changed in: prads (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1882965

Title:
  Sync prads 0.3.3-1.2 (universe) from Debian unstable (main)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/prads/+bug/1882965/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1881115] Re: shift-delete not handled

2020-06-10 Thread Dmitry Shachnev
> gnome-shell-extension-desktop-icons has no relation to the Nautilus
code

Well, for moving files to trash it uses
org.gnome.Nautilus.FileOperations D-Bus interface, see dbusUtils.js. So
it should either implement the deletion itself, or use the new D-Bus
interface added in Nautilus 3.37.x.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1881115

Title:
  shift-delete not handled

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-shell-extension-desktop-icons/+bug/1881115/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1881115] Re: shift-delete not handled

2020-06-10 Thread Dmitry Shachnev
For GNOME Flashback, this is fixed in version 3.37.1, available in
Ubuntu development release (Groovy).

It cannot be backported to 20.04 (Focal) because it needs changes in
Nautilus that are only available in Nautilus 3.37.1.1.

I guess a fix for gnome-shell-extension-desktop-icons in 20.04 will be
impossible for the same reason.

** Changed in: gnome-flashback (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1881115

Title:
  shift-delete not handled

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-shell-extension-desktop-icons/+bug/1881115/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1876609] Re: gnubiff applet crashes when mail is received signal 5 in XGetWindowProperty

2020-06-08 Thread Dmitry Shachnev
> On the other hand, the current Ubuntu 18.04 version is broken, ie it
just doesnt work in the gnome-panel. So a release could be helpful for
other people.

If you personally don't need a new update for 18.04, then I would not do
it. 18.04 is the previous LTS version and I don't have enough time to
care about old versions.

> OK, I'll take a look at porting to GSettings since I'd like to have this 
> functionality in Ubuntu 20.x. I'll need to do some reading.
> Are you open to be asked questions now and then?

I do not always respond quickly (and maybe I'm also not an expert in
GLib API) but I will do my best.

https://developer.gnome.org/gio/stable/ch34.html should help you with
porting.

I am also not sure if all your patches will match the stable release
update criteria for 20.04. But I will be definitely able to apply them
for 20.10.

Also if you have a SourceForge account you may try to forward them to
https://sourceforge.net/p/gnubiff/patches/, but upstream seems to be
dead :(

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1876609

Title:
  gnubiff applet crashes when mail is received signal 5 in
  XGetWindowProperty

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnubiff/+bug/1876609/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1876609] Re: gnubiff applet crashes when mail is received signal 5 in XGetWindowProperty

2020-06-08 Thread Dmitry Shachnev
Do you want a stable update for Ubuntu 18.04?

Or if you also manage to port it from GConf to GSettings, I can add your
patch to 20.04 and/or 20.10 releases.

** Package changed: gnome-panel (Ubuntu) => gnubiff (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1876609

Title:
  gnubiff applet crashes when mail is received signal 5 in
  XGetWindowProperty

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnubiff/+bug/1876609/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1878233] Re: Unable to locate package/Headers missing

2020-06-06 Thread Dmitry Shachnev
Yes.

The official documentation for Qt 3D Extras (https://doc.qt.io/qt-5
/qt3dextras-module.html) says:

"This module is under development and is subject to change."

We decided not to include headers for this module until it becomes
stable. We made an exception for Qt 5.14 packages because the difference
between 5.14 and the final Qt 5 API/ABI was minimal, and I backported a
patch to make sure the ABI does not change in the future. For Qt 5.12 no
such exception can be made.

I can't say that it makes the Qt 3D package unusable. You can still use
the API that is declared stable. Also you are always free to build your
own version of Qt 3D or create a PPA for it.

** Also affects: qt3d-opensource-src (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: qt3d-opensource-src (Ubuntu)
   Status: Fix Committed => Fix Released

** Changed in: qt3d-opensource-src (Ubuntu Focal)
   Status: New => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1878233

Title:
  Unable to locate package/Headers missing

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qt3d-opensource-src/+bug/1878233/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1882249] Re: Qt3DQuickExtras headers are never packaged

2020-06-05 Thread Dmitry Shachnev
*** This bug is a duplicate of bug 1878233 ***
https://bugs.launchpad.net/bugs/1878233

Yes, as you say it is present in Groovy, however we did not include it
before because this module is a technical preview and not declared
stable by upstream.

See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=909306 for
details.

** Bug watch added: Debian Bug tracker #909306
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=909306

** This bug has been marked a duplicate of bug 1878233
   Unable to locate package/Headers missing

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1882249

Title:
  Qt3DQuickExtras headers are never packaged

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qt3d-opensource-src/+bug/1882249/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1861058] Re: QLowEnergyService::WriteWithoutResponse has no effect in QLowEnergyService::writeCharacteristic when using bluez dbus backend

2020-06-02 Thread Dmitry Shachnev
Thanks for the patch and sorry for delay!

Your patch is included in 5.14.2, so I am marking this as fixed in
Groovy. To get a fix included in Focal, can you please update the bug
description according to
?

** Also affects: qtconnectivity-opensource-src (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: qtconnectivity-opensource-src (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1861058

Title:
  QLowEnergyService::WriteWithoutResponse has no effect in
  QLowEnergyService::writeCharacteristic when using bluez dbus backend

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtconnectivity-opensource-src/+bug/1861058/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1874487] Re: [crash][always] Gwenview crashes when dragging displayed image

2020-05-26 Thread Dmitry Shachnev
Ubuntu 20.04 LTS has Qt 5.12.8, so I am marking this as fixed.

** Changed in: qtbase-opensource-src (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1874487

Title:
  [crash][always] Gwenview crashes when dragging displayed image

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtbase-opensource-src/+bug/1874487/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1880343] Re: No confirmation when erase files/folders from Desktop

2020-05-25 Thread Dmitry Shachnev
Thanks for confirming, I think we can close this bug then.

In Ubuntu 18.04 the desktop was handled by Nautilus, in 20.04 it is
handled by gnome-flashback, that's why not all functionality is present
or the same as before.

** Changed in: gnome-flashback (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1880343

Title:
  No confirmation when erase files/folders from Desktop

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-flashback/+bug/1880343/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1880343] Re: No confirmation when erase files/folders from Desktop

2020-05-25 Thread Dmitry Shachnev
Hi! In Ubuntu 20.04 version of gnome-flashback, deleting desktop files
permanently is not implemented. This functionality is added only in
development branch (20.10). So there is no Shift+Delete shortcut, only
normal Delete for moving files to trash.

All files that you deleted from desktop should end up in trash. Can you
please check that?

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1880343

Title:
  No confirmation when erase files/folders from Desktop

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-flashback/+bug/1880343/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1878937] Re: [MIR] mathjax

2020-05-23 Thread Dmitry Shachnev
I updated mathjax to the latest version in 2.7 series (2.7.8), and I had
to exclude the whole extensions/a11y directory because all files there
are now minified (and it is not easy to build at least mathjax-sre.js
because it requires new versions of Google Closure library and Closure
compiler).

So the problem of executable invalid_keypress.ogg is now “fixed” by no
longer having that file in the tarball.

https://tracker.debian.org/news/1146978/accepted-mathjax-278dfsg-1
-source-into-unstable/

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1878937

Title:
  [MIR] mathjax

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mathjax/+bug/1878937/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1878937] Re: [MIR] mathjax

2020-05-22 Thread Dmitry Shachnev
> if you can, via debian, fix the executable flag, that would be
awesome.

I will do it in Debian later today or tomorrow.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1878937

Title:
  [MIR] mathjax

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mathjax/+bug/1878937/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1878937] Re: [MIR] mathjax

2020-05-22 Thread Dmitry Shachnev
> I’m not a big fan that we have the minimized MathJax.js source
directly shipped rather than rebuilding it from the unpacked version

Actually no, the source is repacked during build:

https://sources.debian.org/src/mathjax/2.7.4+dfsg-1/debian/rules/#L19

(I am the current mathjax maintainer in Debian, but really looking for a
new one.)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1878937

Title:
  [MIR] mathjax

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mathjax/+bug/1878937/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1880141] Re: Please remove nmapsi4 and forensics-all on ppc64el, riscv64, s390x

2020-05-22 Thread Dmitry Shachnev
For forensics-all, I will fix the dependency instead.

** Changed in: forensics-all (Ubuntu)
   Status: Invalid => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1880141

Title:
  Please remove nmapsi4 and forensics-all on ppc64el, riscv64, s390x

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/forensics-all/+bug/1880141/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1880141] Re: Please remove nmapsi4 and forensics-all on ppc64el, riscv64, s390x

2020-05-22 Thread Dmitry Shachnev
I missed that nmapsi4 was already removed (e.g.
https://launchpad.net/ubuntu/groovy/s390x/nmapsi4/0.5~alpha1-3build1)
and forensics-all is Architecture: all. Thanks to Rik Mills for pointing
that out!

** Changed in: nmapsi4 (Ubuntu)
   Status: New => Fix Released

** Changed in: forensics-all (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1880141

Title:
  Please remove nmapsi4 and forensics-all on ppc64el, riscv64, s390x

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/forensics-all/+bug/1880141/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1880141] [NEW] Please remove nmapsi4 and forensics-all on ppc64el, riscv64, s390x

2020-05-22 Thread Dmitry Shachnev
Public bug reported:

nmapsi 0.5~alpha2 now uses Qt WebEngine instead of Qt WebKit:

https://github.com/nmapsi4/nmapsi4/commit/674e565d384c2109
https://salsa.debian.org/pkg-security-team/nmapsi4/-/commit/253c7c57790b4c72

So it cannot be built on architectures where Qt WebEngine is not
available: ppc64el, riscv64 and s390x. Please remove its binaries and
binaries of its (only) reverse dependency: forensics-all.

** Affects: forensics-all (Ubuntu)
 Importance: Undecided
 Status: New

** Affects: nmapsi4 (Ubuntu)
 Importance: Undecided
 Status: New

** Also affects: nmapsi4 (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1880141

Title:
  Please remove nmapsi4 and forensics-all on ppc64el, riscv64, s390x

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/forensics-all/+bug/1880141/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1876881] Re: error 0 in libQt5WebEngineCore.so.5.12.8

2020-05-21 Thread Dmitry Shachnev
No, it should not be related to anything -gdm or -dbus. As you say it
doesn't occur now, I will better close it.

** Changed in: qtwebengine-opensource-src (Ubuntu)
   Status: Incomplete => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1876881

Title:
  error 0 in libQt5WebEngineCore.so.5.12.8

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtwebengine-opensource-src/+bug/1876881/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1876881] Re: error 0 in libQt5WebEngineCore.so.5.12.8

2020-05-21 Thread Dmitry Shachnev
Sorry, this bugreport is not useful without a stack trace.

Please follow the instructions on
https://wiki.ubuntu.com/DebuggingProgramCrash and try to get a stack
trace.

Alternatively, a small example how to reproduce this crash would be
useful. E.g. and HTML file, an URL and/or a C++ program using Qt
WebEngine.

** Changed in: qtwebengine-opensource-src (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1876881

Title:
  error 0 in libQt5WebEngineCore.so.5.12.8

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtwebengine-opensource-src/+bug/1876881/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1861268] Re: [MIR] jeepney

2020-05-21 Thread Dmitry Shachnev
Focal is now released, and Groovy has new python-secretstorage again, so
please process jeepney MIR.

** Changed in: jeepney (Ubuntu)
   Status: Incomplete => New

** No longer affects: python-keystoneclient (Ubuntu)

** No longer affects: python-novaclient (Ubuntu)

** No longer affects: python-openstackclient (Ubuntu)

** Changed in: jeepney (Ubuntu)
Milestone: later => None

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1861268

Title:
  [MIR] jeepney

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/jeepney/+bug/1861268/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1879649] Re: Since I upddated to Ubuntu 20.04 my HP printer doesn't print

2020-05-20 Thread Dmitry Shachnev
I don’t see how it is related to pyqt5, reassigning to a more
appropriate package.

** Package changed: pyqt5 (Ubuntu) => hplip (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1879649

Title:
  Since I upddated to Ubuntu 20.04 my HP printer doesn't print

To manage notifications about this bug go to:
https://bugs.launchpad.net/hplip/+bug/1879649/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

  1   2   3   4   5   6   7   8   9   10   >